Converts the vector to an array

- « Ds\Vector::sum

- Ds\Vector::unshift »

- PHP Manual
- Ds\Vector
- Converts the vector to an array

# Ds\Vector::toArray

(PECL ds >= 1.0.0)

Ds\Vector::toArray — Converts the vector to an array

### Description

public Ds\Vector::toArray(): array

Converts the vector to an array.

> Note:

> Casting to an array is not supported yet.

### Parameters

This function has no parameters.

### Return Values

An array containing all the values in the same order as the vector.

### Examples

Example #1 Ds\Vector::toArray() example

    <?php
    $vector = new \Ds\Vector([1, 2, 3]);

    var_dump($vector->toArray());
    ?>

The above example will output something similar to:

    array(3) {
      [0]=>
      int(1)
      [1]=>
      int(2)
      [2]=>
      int(3)
    }